package org.jeecg.module.custom.ocr.service;

import org.jeecg.module.custom.ocr.controller.dto.AddTaskRequest;
import org.jeecg.module.custom.ocr.dataobject.Task;

import javax.validation.constraints.NotNull;
import java.util.List;

public interface TaskService {

    void save(AddTaskRequest request);

    void deleteTask(Long taskNo);

    Task getById(Long id);

    void updateById(Task task);

    void deleteTasks(List<Long> taskNos);
}
